:root {
    --background: #f8f5f2;
    --background-opacity: #f8f5f280;
    --headline: #232323;
    --paragraph: #222525;
    --button: #026767;
    --button-hover: #005a5a;
    --main: #fffffe;
    --secondary: #f45d48;
    /* https://www.happyhues.co/palettes/8 */
}


* {
    font-family: "Roboto", sans-serif;
    box-sizing: border-box;
}

/* HEADER */
header {
    background: var(--background);
    color: var(--headline);
    display: grid;
    grid-template-columns: 50px auto 44px 44px;
    align-items: center;
    padding: 10px;
    column-gap: 8px;
}

.chamber {
    font-size: 1.5rem;
    display: block;
}

header p {
    margin: 0;
    font-size: .8rem;
}

.page-controls {
    display: flex;
    justify-self: end;
    column-gap: 8px;
}

/* HAMBURGER */

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    overflow: hidden;
    border-width: 0;
    padding: 0;
}

.hamburger {
    background: none;
    border: none;
    color: var(--headline);
    cursor: pointer;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}


.dark-light {
    background: none;
    border: none;
    cursor: pointer;
}

.dark-light::before {
    content: "\25d0";
    font-size: 2.5rem;
}

.hamburger::before {
    content: "\2630";
    font-size: 2.5rem;
}

.hamburger.show::before {
    content: "\00d7";
}

/* NAVIGATION */
.navigation {
    display: block;
}

.navigation-menu {
    display: none;
}

.navigation.show {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    height: 100vh;
    background: var(--main);
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.5);
}

.navigation.show .hamburger {
    align-self: end;
    margin-right: 1rem;
}

.navigation.show .navigation-menu {
    display: block;
}

.navigation ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.navigation a {
    color: inherit;
    text-decoration: none;
    display: block;
    padding: 1rem;
    border-bottom: 2px solid var(--paragraph);
}

.navigation a:hover {
    background-color: var(--button-hover);
    color: var(--background);
}

.navigation li.current {
    color: var(--button);
    font-weight: 700;
    text-decoration: underline;
    text-decoration-color: var(--button);
    text-underline-offset: 8px;
    text-decoration-thickness: 2px;
}


/* MAIN */
main {
    padding: 0 10px;
}

h1 {
    margin: .5rem 0;
    color: var(--button);
}

/* DIRECTORY */

.menu {
    display: flex;
    justify-content: center;
    column-gap: .5rem;
    margin-bottom: .5rem;;
}

.menu button {
    background: var(--headline);
    color: var(--background);
    padding: .5rem 1rem;
    border-radius: 10px;
    border: none;
}

.menu button.active {
    background: var(--button);
}

#members {
    min-height: 700px;
}

.grid section {
    background-color: #ddd;
    border: 1px solid #bbb;
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    max-width: 300px;
    margin: 0 auto 1rem;
}

img {
    max-width: 100%;
    height: auto;
}

.grid section img {
    display: block;
}

.grid section h2 {
    color: var(--button);
    margin: .5rem 0;
}

.grid section p {
    margin: .5rem 0;
}

.list section {
    display: grid;
    grid-template-columns: repeat(3, auto);
    background-color: #ddd;
    border: 1px solid #bbb;
    border-radius: 10px;
    overflow: hidden;
    margin: .5rem 0;
    padding: 5px;
    text-align: center;
}

.list h2 {
    color: var(--button);
    padding: .5rem;
}

.list p {
    margin: .5rem;
}

.list * {
    align-self: center;
}

.list a {
    grid-column: 1 / 2;
}

.list p:last-child {
    grid-column: 2 / 4;
}

.list img {
    display: none;
}

section a {
    color: var(--button);
    text-decoration: none;
    font-weight: 700;
}



/* FOOTER */

footer {
    background: var(--headline);
    padding: 1rem 10px;
    color: var(--background);
}

footer h3 {
    margin: 0 0 .5rem;
}

footer p {
    margin: .5rem 0;
    line-height: 1.6;
}

.social {
    display: flex;
    justify-content: center;
    column-gap: 8px;
}

.social a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 44px;
    height: 44px;
    border: 1px solid var(--background);
    border-radius: 22px;
    color: var(--background);
}

.social svg {
    width: 22px;
    height: 22px;
}

.social a:hover {
    color: var(--button);
    border: 1px solid var(--button);
}